#include <iostream>
#include <stdio.h>
using namespace std;

int main()
{
    int n, a, i;

    scanf("%d %d", &n, &a);

    printf("2 10\n");
    printf("19 21\n");
    printf("19 21");

    return 0;
}